Query command execution status
GET
/devices/{deviceId}/commands/{commandId}
Return the execution status of a command.
Authorizations
AccessToken
Type
HTTP (bearer)
Parameters
Path Parameters
deviceId*
Device ID
Type
Requiredstring
commandId*
Command ID
Type
Requiredstring
Responses
Command status returned successfully
application/json
Command status details
Collapse
id
string
Command ID
deviceId
string
Device ID
activePowerControl
object
Active power control
Expand
reactivePowerControl
object
Reactive power control
Expand
startTime
string
Execution start time
Format
"date-time"endTime
string
Execution end time
Format
"date-time"status
string
Execution status: received=Received, executing=Executing, completed=Completed, cancelled=Cancelled
Valid values
"received""executing""completed""cancelled"receivedAt
string
Time when command was received
Format
"date-time"cancelledAt
string
Time when command was cancelled
Format
"date-time"cancellReason
string
Cancellation reason: Manually cancelled, Time window overlap, Start time expired, Device fault, Not supported
Valid values
"manuallyCancel""timeWindowOverlap""startTimeExpire""deviceFault""notSupported"startedAt
string
Time when execution started
Format
"date-time"completedAt
string
Time when execution completed
Format
"date-time"GET
/devices/{deviceId}/commands/{commandId}